Skip to main content
PATCH
Bulk Update Issues

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string
required

Specifies the deployment to which the findings belong.

Body

application/json
deploymentId
string

Specifies the deployment to which the findings belong.

issueType
enum<string>

Deprecated: use issue_types instead. Filters findings to those with the specified type (based on the product which produced these issues).

valuedescription
ISSUE_TYPE_SASTDetected by Code rules
ISSUE_TYPE_SCADetected by Supply Chain rules
ISSUE_TYPE_SECRETSDetected by Secrets rules
ISSUE_TYPE_RESEARCHDetected by research rules or scanners
ISSUE_TYPE_AI_SASTDetected by AI detection code scanning
Available options:
ISSUE_TYPE_SAST,
ISSUE_TYPE_SCA,
ISSUE_TYPE_SECRETS,
ISSUE_TYPE_RESEARCH,
ISSUE_TYPE_AI_SAST
filter
object

Filters the findings to match search logic.

params
object

Params used to update the list of findings.

issueTypes
enum<string>[]

Filters findings to those with any of the specified types. When empty, falls back to the deprecated issue_type field for backward compatibility.

valuedescription
ISSUE_TYPE_SASTDetected by Code rules
ISSUE_TYPE_SCADetected by Supply Chain rules
ISSUE_TYPE_SECRETSDetected by Secrets rules
ISSUE_TYPE_RESEARCHDetected by research rules or scanners
ISSUE_TYPE_AI_SASTDetected by AI detection code scanning
Available options:
ISSUE_TYPE_UNSPECIFIED,
ISSUE_TYPE_SAST,
ISSUE_TYPE_SCA,
ISSUE_TYPE_SECRETS,
ISSUE_TYPE_RESEARCH,
ISSUE_TYPE_AI_SAST

Response

200 - application/json

OK

issueParentCount
integer<int64>

Number of issue parents triaged.

issueCount
integer<int64>

Number of issues triaged across parents.

updatedCount
integer<int64>

Number of issues updated successfully.

numIgnored
integer<int64>

Per-permission breakdown when a bulk ignore is split by the developer's per-issue triage permission (only populated for ignore actions when the developer exception-approvals feature is enabled). Number of issues ignored directly.

numExceptionsRequested
integer<int64>

Number of issues for which an exception request was created instead of an ignore (developer has request-only permission).

numSkipped
integer<int64>

Number of issues skipped because the developer cannot triage them.